Port global hotkeys plugin to Windows

April 05, 2018 08:38 - Davyd McColl

Status: New Start date: April 05, 2018

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category: plugins/hotkey Estimated time: 0.00 hour

Target version:    

Affects version: 3.9   

Description

As per title, the global hotkeys plugin appears to not be part of the windows build / deployment. Is this something which can be fixed?

I know I can use another manager to call the CLI -- it just would be nice not to (:

History

#1 - April 10, 2018 02:39 - John Lindgren

- Subject changed from Global hotkeys plugin missing on windows? to Port global hotkeys plugin to Windows

- Tracker changed from Bug to Feature

The current Global Hotkeys plugin uses calls specific to X11 -- it will not work on Windows, Mac, nor on Wayland.  A new plugin would have to be

written.

#2 - April 10, 2018 02:47 - John Lindgren

- Category set to plugins/hotkey

#3 - September 10, 2019 18:20 - Domen Mori

I have been playing with audacious recently. I will implement this, you can assign it to me.

#4 - January 04, 2021 21:52 - John Lindgren

A temporary solution is to use a standalone tool, such as AutoHotkey, to invoke audtool.

For example, I use the following AutoHotkey script (media_keys.ahk):

Media_Play_Pause::

Run, "C:\Program Files (x86)\Audacious\bin\audtool.exe" --playback-playpause,,Hide

return

Powered by TCPDF (www.tcpdf.org)

May 04, 2025 1/1

http://www.tcpdf.org

